# IMG2GRD

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLES
SEE ALSO

## NAME

img2grd − Extract region of img in Mercator or geographic form

## SYNOPSIS

img2grd imgfile −G grdfile −R west/east/south/north[r] −T type [ −C ] [ −D[minlat/maxlat] ] [ −E ] [ −L ] [ −M ] [ −N navg ] [ −S scale ] [ −V ] [ −W maxlon ] [ −m minutes ]

## DESCRIPTION

img2grd is a front-end to img2mercgrd which reads an img format file and creates a grid file. The −M option dictates whether or not the Spherical Mercator projection of the img file is preserved.
imgfile

An img format file such as the marine gravity or seafloor topography fields estimated from satellite altimeter data by Sandwell and Smith. If the user has set an environment variable $GMT_DATADIR, then img2mercgrd will try to find imgfile in $GMT_DATADIR; else it will try to open imgfile directly.

| −G |  | grdfile is the name of the output grid file.

−R

west, east, south, and north specify the Region of interest, and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands −Rg and −Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Alternatively, specify the name of an existing grid file and the −R settings (and grid spacing, if applicable) are copied from the grid.

−T

type handles the encoding of constraint information. type = 0 indicates that no such information is encoded in the img file (used for pre-1995 versions of the gravity data) and gets all data. type > 0 indicates that constraint information is encoded (1995 and later (current) versions of the img files) so that one may produce a grid file as follows: −T 1 gets data values at all points, −T 2 gets data values at constrained points and NaN at interpolated points; −T 3 gets 1 at constrained points and 0 at interpolated points.

## OPTIONS

| −C |  | Set the x and y Mercator coordinates relative to projection center [Default is relative to lower left corner of grid]. Requires −M.
| −D |  | Use the extended latitude range -80.738/+80.738. Alternatively, append minlat/maxlat as the latitude extent of the input img file. [Default is -72.006/72.006].

−E

Can be used when −M is not set to force the final grid to have the exact same region as requested with −R. By default, the final region is a direct projection of the original Mercator region and will typically extend slightly beyond the requested latitude range, and furthermore the grid increment in latitude does not match the longitude increment. However, the extra resampling introduces small interpolation errors and should only be used if the output grid must match the requested region and have x_inc = y_inc. In this case the region set by −R must be given in multiples of the increment (.e.g, −R0/45/45/72).

| −L |  | With no other arguments, list all *.img files found in the directory pointed to by $GMT_DATADIR, or the current directory if not defined. Ignored if other options are present on the command line.
| −M |  | Output a Spherical Mercator grid [Default is a geographic lon/lat grid].

−N

Average the values in the input img pixels into navg by navg squares, and create one output pixel for each such square. If used with −T 3 it will report an average constraint between 0 and 1. If used with −T 2 the output will be average data value or NaN according to whether average constraint is > 0.5. navg must evenly divide into the dimensions of the imgfile in pixels. [Default 1 does no averaging].

| −S |  | Multiply the img file values by scale before storing in grid file. [Default is 1.0]. For recent img files: img topo files are stored in (corrected) meters [−S1]; free-air gravity files in mGal*10 [−S0.1 to get mGal]; vertical deflection files in microradians*10 [−S0.1 to get microradians], vertical gravity gradient files in Eotvos*50 [−S0.02 to get Eotvos, or −S0.002 to get mGal/km]).
| −V |  | Selects verbose mode, which will send progress reports to stderr [Default runs "silently"]. Particularly recommended here, as it is helpful to see how the coordinates are adjusted.
| −m |  | Indicate minutes as the width of an input img pixel in minutes of longitude. [Default is 2.0].
| −W |  | Indicate maxlon as the maximum longitude extent of the input img file. Versions since 1995 have had maxlon = 360.0, while some earlier files had maxlon = 390.0. [Default is 360.0].

## EXAMPLES

To extract data in the region −R-40/40/-70/-30 from world_grav.img.7.2 and preserve the Mercator gridding:

img2grd world_grav.img.7.2 −Gmerc_grav.grd −R-40/40/-70/-30 −M −T1 −V

Without the −M option the same command will yield a geographic grid.

## SEE ALSO

GMT(1), img2mercgrd(1)